Index: trunk/kernel_config.h
===================================================================
--- trunk/kernel_config.h	(revision 437)
+++ trunk/kernel_config.h	(revision 438)
@@ -36,125 +36,129 @@
 ////////////////////////////////////////////////////////////////////////////////////////////
 
-
-
-#define CONFIG_DEBUG_CHDEV_CMD_RX             0
-#define CONFIG_DEBUG_CHDEV_CMD_TX             0
-#define CONFIG_DEBUG_CHDEV_SERVER_RX          0
-#define CONFIG_DEBUG_CHDEV_SERVER_TX          0
-
-#define CONFIG_DEBUG_CLUSTER_INIT             0
-#define CONFIG_DEBUG_CLUSTER_PROCESS_COPIES   0
-
-#define CONFIG_DEBUG_DEV_TXT_RX               0
-#define CONFIG_DEBUG_DEV_TXT_TX               0
-#define CONFIG_DEBUG_DEV_IOC_RX               0
-#define CONFIG_DEBUG_DEV_IOC_TX               0
-#define CONFIG_DEBUG_DEV_NIC_RX               0
-#define CONFIG_DEBUG_DEV_NIC_RX               0
-#define CONFIG_DEBUG_DEV_FBF_RX               0
-#define CONFIG_DEBUG_DEV_FBF_TX               0
-#define CONFIG_DEBUG_DEV_DMA                  0
-#define CONFIG_DEBUG_DEV_MMC                  0
-#define CONFIG_DEBUG_DEV_PIC                  0
-
-#define CONFIG_DEBUG_DEVFS_INIT               0
-#define CONFIG_DEBUG_DEVFS_MOVE               0
-
-#define CONFIG_DEBUG_FATFS_INIT               0
-#define CONFIG_DEBUG_FATFS_MOVE               0
-#define CONFIG_DEBUG_FATFS_LOAD               0
-
-#define CONFIG_DEBUG_GPT_ACCESS               0
-
-#define CONFIG_DEBUG_HAL_KENTRY               0
-#define CONFIG_DEBUG_HAL_EXCEPTIONS           0
-#define CONFIG_DEBUG_HAL_IRQS                 0       
-#define CONFIG_DEBUG_HAL_TXT_RX               0
-#define CONFIG_DEBUG_HAL_TXT_TX               0
-#define CONFIG_DEBUG_HAL_IOC_RX               0
-#define CONFIG_DEBUG_HAL_IOC_TX               0
-
-#define CONFIG_DEBUG_KCM                      0
-#define CONFIG_DEBUG_KMEM                     0
-
-#define CONFIG_DEBUG_KERNEL_INIT              0
-#define CONFIG_DEBUG_KMEM_ALLOC               0
-
-#define CONFIG_DEBUG_MAPPER_GET_PAGE          0
-#define CONFIG_DEBUG_MAPPER_MOVE_USER         0
-#define CONFIG_DEBUG_MAPPER_MOVE_KERNEL       0
-
-#define CONFIG_DEBUG_PPM_ALLOC_PAGES          0
-#define CONFIG_DEBUG_PPM_FREE_PAGES           0
-
-#define CONFIG_DEBUG_PROCESS_COPY_INIT        0
-#define CONFIG_DEBUG_PROCESS_DESTROY          0
-#define CONFIG_DEBUG_PROCESS_INIT_CREATE      0
-#define CONFIG_DEBUG_PROCESS_MAKE_EXEC        1
-#define CONFIG_DEBUG_PROCESS_MAKE_FORK        1
-#define CONFIG_DEBUG_PROCESS_REFERENCE_INIT   0
-#define CONFIG_DEBUG_PROCESS_SIGACTION        0
-#define CONFIG_DEBUG_PROCESS_TXT_ATTACH       0
-#define CONFIG_DEBUG_PROCESS_ZERO_CREATE      0
-
-#define CONFIG_DEBUG_RPC_MARSHALING           0
-#define CONFIG_DEBUG_RPC_SEND                 0
-#define CONFIG_DEBUG_RPC_SERVER               0
-
-#define CONFIG_DEBUG_SCHED_HANDLE_SIGNALS     0
-#define CONFIG_DEBUG_SCHED_YIELD              0
-
-#define CONFIG_DEBUG_SYSCALLS_ERROR           2
-
-#define CONFIG_DEBUG_SYS_DISPLAY              0
-#define CONFIG_DEBUG_SYS_EXEC                 1
-#define CONFIG_DEBUG_SYS_EXIT                 0
-#define CONFIG_DEBUG_SYS_FG                   0
-#define CONFIG_DEBUG_SYS_FORK                 1
-#define CONFIG_DEBUG_SYS_GET_CONFIG           0
-#define CONFIG_DEBUG_SYS_ISATTY               0
-#define CONFIG_DEBUG_SYS_KILL                 1
-#define CONFIG_DEBUG_SYS_MMAP                 0
-#define CONFIG_DEBUG_SYS_READ                 0
-#define CONFIG_DEBUG_SYS_THREAD_CANCEL        0
-#define CONFIG_DEBUG_SYS_THREAD_EXIT          0
-#define CONFIG_DEBUG_SYS_THREAD_JOIN          0
-#define CONFIG_DEBUG_SYS_THREAD_SLEEP         0
-#define CONFIG_DEBUG_SYS_THREAD_WAKEUP        0
-#define CONFIG_DEBUG_SYS_WAIT                 0
-#define CONFIG_DEBUG_SYS_WRITE                0
-
-#define CONFIG_DEBUG_SPINLOCKS                0
-#define CONFIG_DEBUG_REMOTE_SPINLOCKS         0
-#define CONFIG_DEBUG_RWLOCKS                  0
-#define CONFIG_DEBUG_REMOTE_RWLOCKS           0
-
-#define CONFIG_DEBUG_THREAD_DESTROY           0
-#define CONFIG_DEBUG_THREAD_IDLE              0
-#define CONFIG_DEBUG_THREAD_KERNEL_CREATE     0
-#define CONFIG_DEBUG_THREAD_KILL              0
-#define CONFIG_DEBUG_THREAD_USER_CREATE       0
-#define CONFIG_DEBUG_THREAD_USER_FORK         0
-#define CONFIG_DEBUG_THREAD_BLOCK             0
-
-#define CONFIG_DEBUG_VFS_INODE_CREATE         0
-#define CONFIG_DEBUG_VFS_INODE_LOAD           0
-#define CONFIG_DEBUG_VFS_DENTRY_CREATE        0
-#define CONFIG_DEBUG_VFS_OPEN                 0
-#define CONFIG_DEBUG_VFS_LOOKUP               0
-#define CONFIG_DEBUG_VFS_ADD_CHILD            0
-#define CONFIG_DEBUG_VFS_MAPPER_MOVE          0
-#define CONFIG_DEBUG_VFS_MAPPER_LOAD          0
-
-#define CONFIG_DEBUG_VMM_CREATE_VSEG          0
-#define CONFIG_DEBUG_VMM_DESTROY              0
-#define CONFIG_DEBUG_VMM_FORK_COPY            0
-#define CONFIG_DEBUG_VMM_GET_ONE_PPN          0
-#define CONFIG_DEBUG_VMM_GET_PTE              0
-#define CONFIG_DEBUG_VMM_INIT                 0
-#define CONFIG_DEBUG_VMM_PAGE_ALLOCATE        0
-#define CONFIG_DEBUG_VMM_SET_COW              0
-#define CONFIG_DEBUG_VMM_UNMAP_VSEG           0
-#define CONFIG_DEBUG_VMM_UPDATE_PTE           0
+#define DEBUG_CHDEV_CMD_RX             0
+#define DEBUG_CHDEV_CMD_TX             0
+#define DEBUG_CHDEV_SERVER_RX          0
+#define DEBUG_CHDEV_SERVER_TX          0
+
+#define DEBUG_CLUSTER_INIT             0
+#define DEBUG_CLUSTER_PROCESS_COPIES   0
+
+#define DEBUG_DEV_TXT_RX               0
+#define DEBUG_DEV_TXT_TX               0
+#define DEBUG_DEV_IOC_RX               0
+#define DEBUG_DEV_IOC_TX               0
+#define DEBUG_DEV_NIC_RX               0
+#define DEBUG_DEV_NIC_RX               0
+#define DEBUG_DEV_FBF_RX               0
+#define DEBUG_DEV_FBF_TX               0
+#define DEBUG_DEV_DMA                  0
+#define DEBUG_DEV_MMC                  0
+#define DEBUG_DEV_PIC                  0
+
+#define DEBUG_DEVFS_INIT               0
+#define DEBUG_DEVFS_MOVE               0
+
+#define DEBUG_FATFS_INIT               0
+#define DEBUG_FATFS_MOVE               0
+#define DEBUG_FATFS_LOAD               0
+
+#define DEBUG_GPT_ACCESS               0
+
+#define DEBUG_HAL_KENTRY               0
+#define DEBUG_HAL_EXCEPTIONS           0
+#define DEBUG_HAL_IRQS                 0       
+#define DEBUG_HAL_TXT_RX               0
+#define DEBUG_HAL_TXT_TX               0
+#define DEBUG_HAL_IOC_RX               0
+#define DEBUG_HAL_IOC_TX               0
+
+#define DEBUG_KCM                      0
+#define DEBUG_KMEM                     0
+
+#define DEBUG_KERNEL_INIT              0
+#define DEBUG_KMEM_ALLOC               0
+
+#define DEBUG_MAPPER_GET_PAGE          0
+#define DEBUG_MAPPER_MOVE_USER         0
+#define DEBUG_MAPPER_MOVE_KERNEL       0
+
+#define DEBUG_PPM_ALLOC_PAGES          0
+#define DEBUG_PPM_FREE_PAGES           0
+
+#define DEBUG_PROCESS_COPY_INIT        0
+#define DEBUG_PROCESS_DESTROY          2
+#define DEBUG_PROCESS_INIT_CREATE      0
+#define DEBUG_PROCESS_MAKE_EXEC        2
+#define DEBUG_PROCESS_MAKE_FORK        2
+#define DEBUG_PROCESS_REFERENCE_INIT   0
+#define DEBUG_PROCESS_SIGACTION        0
+#define DEBUG_PROCESS_TXT_ATTACH       0
+#define DEBUG_PROCESS_ZERO_CREATE      0
+
+#define DEBUG_RPC_CLIENT_GENERIC       0
+#define DEBUG_RPC_SERVER_GENERIC       0
+
+#define DEBUG_RPC_PMEM_GET_PAGES       0
+#define DEBUG_RPC_PMEM_RELEASE_PAGES   0
+#define DEBUG_RPC_PROCESS_MAKE_FORK    0
+#define DEBUG_RPC_PROCESS_SIGACTION    0
+#define DEBUG_RPC_VFS_DENTRY_CREATE    0
+#define DEBUG_RPC_VFS_FILE_CREATE      0
+
+#define DEBUG_SCHED_HANDLE_SIGNALS     0
+#define DEBUG_SCHED_YIELD              0
+
+#define DEBUG_SYSCALLS_ERROR           2
+
+#define DEBUG_SYS_DISPLAY              0
+#define DEBUG_SYS_EXEC                 2
+#define DEBUG_SYS_EXIT                 0
+#define DEBUG_SYS_FG                   0
+#define DEBUG_SYS_FORK                 2
+#define DEBUG_SYS_GET_CONFIG           0
+#define DEBUG_SYS_ISATTY               0
+#define DEBUG_SYS_KILL                 2
+#define DEBUG_SYS_MMAP                 0
+#define DEBUG_SYS_READ                 0
+#define DEBUG_SYS_THREAD_CANCEL        0
+#define DEBUG_SYS_THREAD_EXIT          0
+#define DEBUG_SYS_THREAD_JOIN          0
+#define DEBUG_SYS_THREAD_SLEEP         0
+#define DEBUG_SYS_THREAD_WAKEUP        0
+#define DEBUG_SYS_WAIT                 0
+#define DEBUG_SYS_WRITE                0
+
+#define DEBUG_SPINLOCKS                0
+#define DEBUG_REMOTE_SPINLOCKS         0
+#define DEBUG_RWLOCKS                  0
+#define DEBUG_REMOTE_RWLOCKS           0
+
+#define DEBUG_THREAD_DESTROY           2
+#define DEBUG_THREAD_IDLE              0
+#define DEBUG_THREAD_KERNEL_CREATE     0
+#define DEBUG_THREAD_KILL              0
+#define DEBUG_THREAD_USER_CREATE       0
+#define DEBUG_THREAD_USER_FORK         0
+#define DEBUG_THREAD_BLOCK             0
+
+#define DEBUG_VFS_INODE_CREATE         0
+#define DEBUG_VFS_INODE_LOAD           0
+#define DEBUG_VFS_DENTRY_CREATE        0
+#define DEBUG_VFS_OPEN                 0
+#define DEBUG_VFS_LOOKUP               0
+#define DEBUG_VFS_ADD_CHILD            0
+#define DEBUG_VFS_MAPPER_MOVE          0
+#define DEBUG_VFS_MAPPER_LOAD          0
+
+#define DEBUG_VMM_CREATE_VSEG          0
+#define DEBUG_VMM_DESTROY              0
+#define DEBUG_VMM_FORK_COPY            0
+#define DEBUG_VMM_GET_ONE_PPN          0
+#define DEBUG_VMM_GET_PTE              0
+#define DEBUG_VMM_INIT                 0
+#define DEBUG_VMM_PAGE_ALLOCATE        0
+#define DEBUG_VMM_SET_COW              0
+#define DEBUG_VMM_UNMAP_VSEG           0
+#define DEBUG_VMM_UPDATE_PTE           0
 
 ////////////////////////////////////////////////////////////////////////////////////////////
